/*
 File: int_nosym.cpp
 Date and Time: Fri Jan 30 18:55:13 2015 
*/
#include "int_no.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_int_no;// grammar's ns
// first set terminals
yacco2::THR _YACCO2_CALL_TYPE
NS_int_no::TH_int_no(yacco2::Parser* Caller_pp){
  yacco2::Thread_entry& pp_thread_entry = ITH_int_no;
  NS_int_no::Cint_no Cint_no_;// parallel-parser's parse table
#define ssPARSE_TABLE Cint_no_
#include "wpp_core.h"
}
THR_result _YACCO2_CALL_TYPE
NS_int_no::PROC_TH_int_no(yacco2::Parser* Caller_pp){
  char called_proc_name[] = "PROC_TH_int_no";
  static bool one_time(false);
  static NS_int_no::Cint_no* NS_int_no_Cint_no_(0);// parallel-parser's fsm table
  static Parser* NS_int_no_Cint_no_parser(0);
  Parser* proc_parser(0);
  if(one_time == false){
    one_time = true;
    NS_int_no_Cint_no_ = new NS_int_no::Cint_no();// parallel-parser's fsm table
    NS_int_no_Cint_no_parser = new Parser(*NS_int_no_Cint_no_,Caller_pp);
  }
 proc_parser = NS_int_no_Cint_no_parser;
#include "wproc_pp_core.h"
}
void 
Cint_no::reduce_rhs_of_rule
    (yacco2::UINT Sub_rule_no,yacco2::Rule_s_reuse_entry** Recycled_rule){
   int reducing_rule = rhs_to_rules_mapping_[Sub_rule_no];
   Per_rule_s_reuse_table* rule_reuse_tbl_ptr = 
        fsm_rules_reuse_table.per_rule_s_table_[reducing_rule];
   Rule_s_reuse_entry* re(0);
   find_a_recycled_rule(rule_reuse_tbl_ptr,&re);
   (*Recycled_rule) = re;
   fnd_re: switch (Sub_rule_no){
    case rhs1_Rint_no_:{
       Rint_no* sym;
     if(re->rule_ == 0){
       sym = new Rint_no(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rint_no*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr1();
     return;}
    case rhs1_Rdec_no_:{
       Rdec_no* sym;
     if(re->rule_ == 0){
       sym = new Rdec_no(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdec_no*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rdec_no_:{
       Rdec_no* sym;
     if(re->rule_ == 0){
       sym = new Rdec_no(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdec_no*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs1_Rdigit_:{
       Rdigit* sym;
     if(re->rule_ == 0){
       sym = new Rdigit(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdigit*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs2_Rdigit_:{
       Rdigit* sym;
     if(re->rule_ == 0){
       sym = new Rdigit(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdigit*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs3_Rdigit_:{
       Rdigit* sym;
     if(re->rule_ == 0){
       sym = new Rdigit(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdigit*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs4_Rdigit_:{
       Rdigit* sym;
     if(re->rule_ == 0){
       sym = new Rdigit(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdigit*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs5_Rdigit_:{
       Rdigit* sym;
     if(re->rule_ == 0){
       sym = new Rdigit(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdigit*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs6_Rdigit_:{
       Rdigit* sym;
     if(re->rule_ == 0){
       sym = new Rdigit(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdigit*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs7_Rdigit_:{
       Rdigit* sym;
     if(re->rule_ == 0){
       sym = new Rdigit(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdigit*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs8_Rdigit_:{
       Rdigit* sym;
     if(re->rule_ == 0){
       sym = new Rdigit(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdigit*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs9_Rdigit_:{
       Rdigit* sym;
     if(re->rule_ == 0){
       sym = new Rdigit(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdigit*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs10_Rdigit_:{
       Rdigit* sym;
     if(re->rule_ == 0){
       sym = new Rdigit(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdigit*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    default: return;
   }
}
